import java.io.IOException;

import lombok.SneakyThrows;

import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.node.TextNode;

public class Foo
{
	private JsonNode theNode;

	public Foo(JsonNode aNode)
	{
		this.theNode = aNode;
	}

	public void applyTo(boolean flag, Foo aFoo)
	{
		JsonNode newNode = (flag) ? new TextNode("0") : aFoo.theNode;
		new Foo(newNode);
	}

	@SneakyThrows(IOException.class)
	public void usesSneakyThrows()
	{
		alwaysThrowsException();
	}
	
	public void alwaysThrowsException() throws IOException
	{
		throw new IOException();
	}
}
